mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger Class Reference

Yet another logger flavour. More...

Inheritance diagram for mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger:

## Public Member Functions

| __init__ (self, name)

## Public Attributes

| logger
| format_str
| prn_dbg
| prn_wrn
| prn_err
| prn_inf
| prn_txt
| prn_txd
| prn_rxd

## Detailed Description

Yet another logger flavour.

Definition at line 25 of file ht_logger.py.

## Constructor & Destructor Documentation

## __init__()

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 27 of file ht_logger.py.

## Member Data Documentation

## format_str

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.format_str

Definition at line 30 of file ht_logger.py.

## logger

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.logger

Definition at line 29 of file ht_logger.py.

## prn_dbg

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_dbg

Definition at line 38 of file ht_logger.py.

## prn_err

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_err

Definition at line 40 of file ht_logger.py.

## prn_inf

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_inf

Definition at line 41 of file ht_logger.py.

## prn_rxd

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_rxd

Definition at line 44 of file ht_logger.py.

## prn_txd

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_txd

Definition at line 43 of file ht_logger.py.

## prn_txt

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_txt

Definition at line 42 of file ht_logger.py.

## prn_wrn

mbed_host_tests.host_tests_logger.ht_logger.HtrunLogger.prn_wrn

Definition at line 39 of file ht_logger.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_logger/ht_logger.py